import { FloatWithUnit } from '../../djinni-types/sdcCoreCommonGeometry.js';
import { SizeWithUnitAndAspect } from '../../djinni-types/sdcCoreInternalSdkCommonGeometry.js';
import { Color } from '../../djinni-types/sdcCoreInternalSdkCommonGraphics.js';
import { RectangularViewfinder, RectangularViewfinderStyle, RectangularViewfinderLineStyle, RectangularViewfinderAnimation } from '../../djinni-types/sdcCoreInternalSdkUiViewfinder.js';
import { g as NativeProxyAdapter, h as NativeProxy, N as NativeProxyHandle } from '../../NativeProxy-BpXwaSl-.js';
import '../../djinni-types/sdcCoreCommonGraphic.js';
import '@scandit/web-datacapture-barcode';
import '@scandit/web-datacapture-core/build/js/worker/dataCaptureWorkerRelated';
import '../../djinni-types/sdcBarcodeInternalSdkData.js';
import '../../djinni-types/sdcBarcodeData.js';
import '../../djinni-types/sdcCoreCommonBuffer.js';
import '../../sdcLabelInternalModuleCapture-CxPSiq2o.js';
import '../../djinni-types/sdcSymbologySettings.js';
import '../../djinni-types/sdcCoreInternalSdkArea.js';
import '../../djinni-types/sdcCoreInternalSdkCommonAsync.js';
import '../../djinni-types/sdcCoreInternalSdkOcr.js';
import '../../djinni-types/sdcCoreCommon.js';
import '../../djinni-types/sdcLabelData.js';
import '../../djinni-types/sdcLabelInternalModuleData.js';
import '../../djinni-types/sdcLabelInternalModuleUiOverlay.js';
import '../../djinni-types/sdcCoreInternalSdkCapture.js';
import '../../djinni-types/sdcCoreInternalSdkUiStyle.js';
import '@scandit/web-datacapture-core';
import '../../api/AdaptiveRecognitionMode.js';
import '../../api/CapturedLabel.js';
import '../../api/LabelField.js';
import '../../api/LabelFieldState.js';
import '../../api/LabelFieldType.js';
import '../../api/LabelFieldValueType.js';
import '../../api/LabelDateResult.js';
import '@scandit/web-datacapture-core/build/js/private/nativeHandle.js';
import '../../api/LabelCaptureSession.js';
import '../../api/LabelDateFormat.js';
import '../../api/LabelDateComponentFormat.js';
import '../../api/LabelFieldLocationType.js';
import '../../api/ReceiptScanningLineItem.js';
import '../../api/ValidationFlowField.js';

declare class RectangularViewfinderProxy extends NativeProxyAdapter<RectangularViewfinder> implements NativeProxy<RectangularViewfinder> {
    handle: NativeProxyHandle;
    create(): NativeProxyHandle;
    createForStyles(style: RectangularViewfinderStyle, lineStyle: RectangularViewfinderLineStyle): NativeProxyHandle;
    setWidthAndHeight(handle: NativeProxyHandle, width: FloatWithUnit, height: FloatWithUnit): Promise<void>;
    setWidthAndAspectRatio(handle: NativeProxyHandle, width: FloatWithUnit, heightToWidthAspect: number): Promise<void>;
    setHeightAndAspectRatio(handle: NativeProxyHandle, width: FloatWithUnit, widthToHeightAspect: number): Promise<void>;
    setShorterDimensionAndAspectRatio(handle: NativeProxyHandle, shorterDimension: number, aspect: number): Promise<void>;
    getSizeWithUnitAndAspect(handle: NativeProxyHandle): Promise<SizeWithUnitAndAspect>;
    setColor(handle: NativeProxyHandle, color: Color): Promise<void>;
    getColor(handle: NativeProxyHandle): Promise<Color>;
    setDisabledColor(handle: NativeProxyHandle, color: Color): Promise<void>;
    getDisabledColor(handle: NativeProxyHandle): Promise<Color>;
    getStyle(handle: NativeProxyHandle): Promise<RectangularViewfinderStyle>;
    setAnimation(handle: NativeProxyHandle, animation: RectangularViewfinderAnimation | undefined): Promise<void>;
    getAnimation(handle: NativeProxyHandle): Promise<RectangularViewfinderAnimation | undefined>;
    setDimming(handle: NativeProxyHandle, dimming: number): Promise<void>;
    getDimming(handle: NativeProxyHandle): Promise<number>;
    setDisabledDimming(handle: NativeProxyHandle, dimming: number): Promise<void>;
    getDisabledDimming(handle: NativeProxyHandle): Promise<number>;
    getLineStyle(handle: NativeProxyHandle): Promise<RectangularViewfinderLineStyle>;
}
declare const _default: RectangularViewfinderProxy;

export { _default as default };
